<?php
/**
 * @package         FireBox
 * @version         1.0.13 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FireBox\Core\Admin\Analytics;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

class DB
{
    /**
     * Returns box results from the database given a payload
     * 
     * @param   array  $payload
     * 
     * @return  array
     */
    public function getBoxResults($payload)
    {
        if (!$payload)
        {
            return [];
        }

        if (!isset($payload['select']))
        {
            return [];
        }
        
        return firebox()->tables->box->getResults($payload);
    }

    /**
     * Returns results from the database given a payload
     * 
     * @param   array  $payload
     * 
     * @return  array
     */
    public function getResults($payload)
    {
        if (!$payload)
        {
            return [];
        }

        if (!isset($payload['select']))
        {
            return [];
        }
        
        return firebox()->tables->boxlog->getResults($payload);
    }
}