<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.27
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FPFramework\Base\Assignments;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

use FPFramework\Base\Assignment;

class Posts extends Assignment
{
    /**
	 * Check if we are browsing certain posts
	 *
	 * @return bool
	 */
	public function pass()
	{
        if (!$this->value())
        {
            return;
        }

        return $this->passSimple($this->value(), $this->selection);
    }

    /**
     *  Returns the assignment's value
     * 
     *  @return mixed Post ID
     */
	public function value()
	{
        return \FPFramework\Helpers\WPHelper::getPageID();
	}
}