<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.27
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}
$template_use_url = $this->data->get('template_use_url');
$blank_template_label = $this->data->get('blank_template_label');
$blank_template_desc = $this->data->get('blank_template_desc');
$license_type = $this->data->get('license_type');
?>
<div class="ts-list main">
    <div class="ts-item blank_popup" data-title="">
        <span class="ts-item-wrap">
            <a class="parent" href="<?php echo admin_url($template_use_url . 'blank'); ?>">
                <?php echo esc_html(fpframework()->_($blank_template_label)); ?>
                <span><?php echo esc_html(fpframework()->_($blank_template_desc)); ?></span>
            </a>
        </span>
    </div>
    <div class="ts-item loading ignore">
        <span class="ts-item-wrap">
            <span class="text" data-default="<?php echo esc_html(fpframework()->_('FPF_LOADING_TEMPLATES')); ?>"><?php echo esc_html(fpframework()->_('FPF_LOADING_TEMPLATES')); ?></span>
        </span>
    </div>
</div>
<?php
if ($license_type == 'free')
{
    ?>
    <div class="ts-list-pro" data-showon="<?php echo htmlentities('[{"field":"library_pro_templates_toggle","values":["1"],"sign":"!=","op":""}]'); ?>">
        <h3><?php echo esc_html(fpframework()->_('FPF_PRO_TEMPLATES')); ?></h3>
        <div class="ts-list pro">
            <div class="ts-item loading ignore">
                <span class="ts-item-wrap">
                    <span class="text" data-default="<?php echo esc_html(fpframework()->_('FPF_LOADING_TEMPLATES')); ?>"><?php echo esc_html(fpframework()->_('FPF_LOADING_TEMPLATES')); ?></span>
                </span>
            </div>
        </div>
    </div>
    <?php
}
?>